Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.meta
Class VersionIndicator

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.impl.jdbc.meta.Mapping
            |
            +--com.solarmetric.rd.kodo.impl.jdbc.meta.Indicator
                  |
                  +--com.solarmetric.rd.kodo.impl.jdbc.meta.VersionIndicator

Direct Known Subclasses:
  ColumnVersionIndicator, StateImageIndicator

public abstract class VersionIndicator
extends Indicator

Handles optimistic lock versioning for a class.

Field Summary

Fields inherited from class com.solarmetric.rd.kodo.impl.jdbc.meta.Mapping
`DEFAULT, FALSE, LOB, TRUE, UNIQUE`

Constructor Summary
`VersionIndicator()`

Method Summary
`static com.solarmetric.rd.kodo.impl.jdbc.meta.VersionIndicator[]` | `getDefaults()` Return the default set of available version indicators.
`void` | `load(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm, com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCStoreManager store, com.solarmetric.rd.kodo.impl.jdbc.runtime.Result res)` Load virtual row data.
`com.solarmetric.rd.kodo.impl.jdbc.meta.VersionIndicator` | `newInstance()` Return a new instance of this class.
`static com.solarmetric.rd.kodo.impl.jdbc.meta.VersionIndicator` | `newInstance(java.lang.String type)` Return the indicator for the given indicator name.
`void` | `postLoad(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm, com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCStoreManager store)` This method is called after data is loaded into the instance, in case the version indicator works off of a state image.
`abstract boolean` | `synchVersion(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm, com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCStoreManager store, java.sql.Connection conn)` Synchronize the version of the given state manager with the version stored in memory.
`java.lang.String` | `toString()`

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.meta.Indicator
`delete, getMappingRepository, getOwnerMapping, getTable, insert, refSchemaComponents, select, setOwnerMapping, update`

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.meta.Mapping
`checkIndex, createColumn, delete, fromMappingInfo, getDBDictionary, getForeignKey, getLog, getMappingType, getSchemaGroup, insert, invalidMapping, isCustomDelete, isCustomInsert, isCustomUpdate, map, reverseMap, setForeignKey, toMappingInfo, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VersionIndicator

    public VersionIndicator()

Method Detail

### getDefaults

    public static com.solarmetric.rd.kodo.impl.jdbc.meta.VersionIndicator[] getDefaults()

  Return the default set of available version indicators.

### newInstance

    public static com.solarmetric.rd.kodo.impl.jdbc.meta.VersionIndicator newInstance(java.lang.String type)

  Return the indicator for the given indicator name.

### load

    public void load(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm,
                     com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCStoreManager store,
                     com.solarmetric.rd.kodo.impl.jdbc.runtime.Result res)
              throws java.sql.SQLException

  Load virtual row data.

    `java.sql.SQLException`

### postLoad

    public void postLoad(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm,
                         com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCStoreManager store)

  This method is called after data is loaded into the instance, in case the version indicator works off of a state image.

### synchVersion

    public abstract boolean synchVersion(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm,
                                         com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCStoreManager store,
                                         java.sql.Connection conn)
                                  throws java.sql.SQLException

  Synchronize the version of the given state manager with the version stored in memory.

    `java.sql.SQLException`
  See Also:
    `StoreManager.synchVersion(com.solarmetric.rd.kodo.runtime.StateManagerImpl, java.lang.Object)`

### newInstance

    public com.solarmetric.rd.kodo.impl.jdbc.meta.VersionIndicator newInstance()

  Return a new instance of this class.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.